Get all punchout catalogs
get
/fscmRestApi/resources/11.13.18.05/punchoutCatalogs
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds punchout catalogs by the specified primary key.
Finder Variables- CatalogId; integer; Unique identifier of the catalog.
- findById Finds punchout catalogs by the specified identifier.
Finder Variables- CatalogId; integer; Unique identifier of the catalog.
- PrimaryKey Finds punchout catalogs by the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CatalogId; integer; Unique identifier of the catalog.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : punchoutCatalogs
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : punchoutCatalogs-item-response
Type:
Show Source
object-
AllowPriceOverrideOnPOLinesFlag: boolean
Title:
Allow price override on purchase order linesMaximum Length:1Indicates whether price override is allowed on purchase order lines. Contains one of the following values: true or false. If true, then you can override the price on purchase order lines. If false, then you can't override the price on purchase order lines. This attribute doesn't have a default value. -
ApplyMappingFlag: boolean
Maximum Length:
1Indicates whether mapping is applied. Contains one of the following values: true or false. If true, then mapping is applied. If false, then mapping isn't applied. This attribute doesn't have a default value. -
BuyerCompanyId: string
Title:
Company IDMaximum Length:35Unique identifier of the buyer company. This value represents the Domain when the punchout catalog Source is SUPPLIER_VIA_CXML and Company Identification when the Source is SUPPLIER_VIA_XML or EXCHANGE. -
BuyerCompanyName: string
Title:
Company NameMaximum Length:240Name of the buyer company. This value represents the Identity when the punchout catalog Source is SUPPLIER_VIA_CXML and Company Name when the Source is SUPPLIER_VIA_XML or EXCHANGE. -
CatalogDescription: string
Title:
DescriptionMaximum Length:240Description of the punchout catalog. -
CatalogId: integer
(int64)
Read Only:
trueUnique identifier of the catalog. -
CatalogName: string
Title:
Catalog NameMaximum Length:30Name of the punchout catalog. -
CatalogType: string
Title:
Catalog TypeRead Only:trueMaximum Length:80Type of the catalog. Value for this attribute is always Punchout. -
CatalogTypeCode: string
Read Only:
trueMaximum Length:15Default Value:PUNCHOUTCode that identifies the type of the punchout catalog. The value is always PUNCHOUT. -
categoryAssignments: array
Category Assignments
Title:
Category AssignmentsDetails of the categories assigned to the informational catalog for browsing. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the punchout catalog. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the punchout catalog was created. -
DefaultCategoryId: integer
(int64)
Unique identifier of the item category that will be used to default on requisition lines created using punchouts when a category can't be determined based on the payload values.
-
DefaultCategoryName: string
Title:
Default Category NameMaximum Length:2400Name of the item category that will be used to default on requisition lines created using punchouts when a category can't be determined based on the payload values. -
DeriveMasterItemUsingSupplierItemFlag: boolean
Title:
Derive master items using a supplier itemMaximum Length:1Indicates whether the application derives the master item using the supplier item when using the punchout. Contains one of the following values: true or false. If true, then the application derives the master item using the supplier item. If false, then the application doesn't derive the master item using the supplier item. This attribute doesn't have a default value. -
DisableAutosourcingFlag: boolean
Title:
Disable automatic document sourcingMaximum Length:1Indicates whether automatic sourcing is disabled. Contains one of the following values: true or false. If true, then automatic sourcing is disabled. If false, then automatic sourcing isn't disabled. This attribute doesn't have a default value. -
EnableItemLevelPunchoutFlag: boolean
Title:
Enable item level punchoutMaximum Length:1Indicates whether item-level punchout is enabled. Contains one of the following values: true or false. If true, then item-level punchout is enabled. If false, then item-level punchout isn't enabled. This attribute doesn't have a default value. -
EncodingMethod: string
Title:
Encoding MethodMaximum Length:30Encoding method used for the punchout catalog data. -
ImageURL: string
Title:
Image URLMaximum Length:240URL of the catalog image. -
Keywords: string
Title:
KeywordsMaximum Length:4000Keywords that help identify and search for the punchout catalog. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the punchout catalog. -
LastUpdatedDate: string
(date-time)
Read Only:
trueThe date when the punchout catalog was last updated. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MapSetId: integer
(int64)
Unique identifier of the supplier content map set associated with the punchout catalog.
-
MapSetName: string
Title:
Map SetMaximum Length:30Name of the supplier content map set associated with the punchout catalog. -
ParentCatalogId: integer
(int64)
Read Only:
trueUnique identifier of the parent catalog. -
Password: string
Title:
PasswordMaximum Length:100Password used to access the punchout catalog. -
PricesNegotiatedFlag: boolean
Title:
All prices are negotiatedMaximum Length:1Default Value:trueIndicates whether prices are negotiated. Contains one of the following values: true or false. If true, then prices are negotiated. If false, then prices aren't negotiated. This attribute doesn't have a default value. -
ProcessCatalogItemsFlag: boolean
Title:
Process master items and agreement lines using punchoutMaximum Length:1Indicates whether the catalog is enabled to shop for master items and agreement lines from the punchout site. Contains one of the following values: true or false. If true, then the catalog is enabled to shop for master items and agreement lines. If false, then the catalog isn't enabled to shop for master items and agreement lines. This attribute doesn't have a default value. -
ProcurementBU: string
Title:
Procurement BUMaximum Length:240Procurement business unit in which the punchout catalog is created. -
ProcurementBUId: integer
(int64)
Unique identifier of the procurement business unit in which the catalog is created.
-
punchoutSearchItems: array
Punchout Search Items
Title:
Punchout Search ItemsA collection of items uploaded to the punchout catalog that can be searched during shopping. For example, uploaded search items can represent catalog entries available through punchout. -
PunchoutURL: string
Title:
Punchout URLMaximum Length:240URL of the punchout catalog. -
PunchoutURLKey: integer
(int64)
Read Only:
trueKey to the URL to the supplier website configured for the punchout catalog. -
SendDeliverToLocationFlag: boolean
Title:
Send deliver-to location to punchout siteMaximum Length:1Indicates whether the deliver-to location from the requester's preferences will be sent in the punchout setup request document. Contains one of the following values: true or false. If true, then the deliver-to location is sent. If false, then the deliver-to location isn't sent. This attribute doesn't have a default value. -
SendOptionalInformationFlag: boolean
Title:
Send optional user and company information to punchout siteMaximum Length:1Indicates whether optional information is sent. Contains one of the following values: true or false. If true, then the application sends optional information. If false, then the application doesn't send optional information. This attribute doesn't have a default value. -
Source: string
Title:
SourceMaximum Length:20Type of the source document format. -
Supplier: string
Maximum Length:
360Supplier for the punchout catalog. -
SupplierId: integer
(int64)
Unique identifier of the supplier.
-
SupplierName: string
Title:
Supplier NameMaximum Length:240Name of the supplier company. -
SupplierNumber: string
Title:
Supplier IDMaximum Length:256Number assigned to the supplier company. -
SupplierSite: string
Title:
Supplier SiteMaximum Length:240Supplier site of the supplier configured on the punchout catalog. -
SupplierSiteId: integer
(int64)
Unique identifier of the supplier site.
-
TradingPartnerId: number
Read Only:
trueUnique identifier of the trading partner. -
UserName: string
Title:
User NameMaximum Length:100User name used to authenticate the connection to the punchout site.
Nested Schema : Category Assignments
Type:
arrayTitle:
Category AssignmentsDetails of the categories assigned to the informational catalog for browsing.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Punchout Search Items
Type:
arrayTitle:
Punchout Search ItemsA collection of items uploaded to the punchout catalog that can be searched during shopping. For example, uploaded search items can represent catalog entries available through punchout.
Show Source
Nested Schema : punchoutCatalogs-categoryAssignments-item-response
Type:
Show Source
object-
AssignmentType: string
Title:
Assignment TypeMaximum Length:20Type of the assigned category. Valid values are PURCHASING_CATEGORY for purchasing and BROWSING_CATEGORY for browsing. -
CatalogAssignmentId: integer
(int64)
Read Only:
trueUnique identifier of category assignment to the punchout catalog. -
CatalogId: integer
(int64)
Read Only:
trueUnique identifier of the catalog. -
CategoryId: integer
(int64)
Unique identifier of the category.
-
CategoryName: string
Title:
CategoryMaximum Length:250Name of the category assigned to the punchout catalog. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the category assignment. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the category assignment was created. -
Description: string
Title:
DescriptionRead Only:trueMaximum Length:250Brief description about the category. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the category assignment. -
LastUpdatedDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date when the category assignment was last updated. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : punchoutCatalogs-punchoutSearchItems-item-response
Type:
Show Source
object-
Agreement: string
Title:
AgreementRead Only:trueMaximum Length:20Agreement associated with the punchout search item. -
AgreementHeaderId: integer
(int64)
Read Only:
trueUnique identifier of the agreement. -
Amount: number
Title:
AmountRead Only:trueAmount for the punchout search item. -
Category: string
Title:
Category NameRead Only:trueMaximum Length:2400Category of the punchout search item. -
CategoryId: integer
(int64)
Read Only:
trueUnique identifier of the category. -
CreatedBy: string
Title:
Created ByMaximum Length:64User who created the punchout search item. -
CreationDate: string
(date-time)
Title:
Creation DateThe date when the punchout search item was created. -
Currency: string
Title:
CurrencyRead Only:trueMaximum Length:80Currency of the item price or the item amount. -
CurrencyCode: string
Read Only:
trueMaximum Length:15Code that identifies the currency of the item price or the item amount. -
ImageURL: string
Title:
Image URLRead Only:trueMaximum Length:700URL of the item image. -
ItemDescription: string
Title:
Item DescriptionRead Only:trueMaximum Length:240Description of the item. -
ItemLanguageCode: string
Read Only:
trueMaximum Length:4Code that identifies the language of item upload. -
ItemLongDescription: string
Title:
Long DescriptionRead Only:trueMaximum Length:4000Long description of the item. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the punchout search item. -
LastUpdatedDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date when the punchout search item was last updated. -
LineType: string
Title:
Line TypeRead Only:trueMaximum Length:30Line type used for the punchout search item. -
LineTypeId: integer
(int64)
Read Only:
trueUnique identifier of the line type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Manufacturer: string
Title:
ManufacturerRead Only:trueMaximum Length:240Manufacturer of the item. -
ManufacturerPartNumber: string
Title:
Manufacturer Part NumberRead Only:trueMaximum Length:30Manufacturer's part number of the item. -
ProcessId: integer
(int64)
Title:
Process IDRead Only:trueUnique identifier of the process used to upload the item. -
PunchoutCatalogId: integer
(int64)
Read Only:
trueUnique identifier of the punchout catalog. -
PunchoutSearchItemId: integer
(int64)
Read Only:
trueUnique identifier of the punchout search item. -
Supplier: string
Title:
SupplierRead Only:trueMaximum Length:360Supplier associated with the punchout search item. -
SupplierId: integer
(int64)
Read Only:
trueUnique identifier of the supplier. -
SupplierItem: string
Title:
Supplier ItemRead Only:trueMaximum Length:300Supplier item number associated with the item. -
SupplierItemAuxillaryId: string
Title:
Supplier Item Auxiliary IdentifierRead Only:trueMaximum Length:255Auxiliary identifier of the supplier item. -
UnitPrice: number
Title:
PriceRead Only:truePrice of one unit of the item. -
UOM: string
Title:
UOMRead Only:trueMaximum Length:25Unit of measure of the item. -
UOMCode: string
Read Only:
trueMaximum Length:3Code that identifies the unit of measure for the item.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- downloadPunchoutsFromOBN
-
Downloads the punchout catalog definitions of the selected suppliers listed on the site of the selected catalog of type Oracle Business Network to create new punchout catalogs.